Index: doc/graph_io.dox
===================================================================
--- doc/graph_io.dox	(revision 1848)
+++ doc/graph_io.dox	(revision 1901)
@@ -32,11 +32,11 @@
 The next line contains the names of the nodemaps, separated by whitespaces.  Each
 following line describes a node in the graph: it contains the values of the
-maps in the right order. The map named "id" should contain unique values
-because it is regarded as an ID-map. These ids need not be numbers but they
+maps in the right order. The map named "label" should contain unique values
+because it is regarded as a label map. These labels need not be numbers but they
 must identify the nodes uniquely for later reference. For example:
 
 \code
 @nodeset
-id  x-coord  y-coord  color
+label  x-coord  y-coord  color
 3   1.0      4.0      blue
 5   2.3      5.7      red
@@ -51,15 +51,15 @@
 The next line contains the whitespace separated list of names of the edge
 maps.  Each of the next lines describes one edge. The first two elements in
-the line are the IDs of the source and target (or tail and head) nodes of the
-edge as they occur in the ID node map of the nodeset section. You can also
-have an optional ID map on the edges for later reference (which has to be
+the line are the labels of the source and target (or tail and head) nodes of the
+edge as they occur in the label node map of the nodeset section. You can also
+have an optional label map on the edges for later reference (which has to be
 unique in this case).
 
 \code
 @edgeset
-             id    weight   label
-3   5        a     4.3      a-edge
-5   12       c     2.6      c-edge
-3   12       g     3.4      g-edge
+             label      weight   note
+3   5        a          4.3      a-edge
+5   12       c          2.6      c-edge
+3   12       g          3.4      g-edge
 \endcode
 
@@ -71,5 +71,5 @@
 
 Each of the next lines contains a label for a node in the graph 
-and then the ID as described in the \e nodeset section.
+and then the label as described in the \e nodeset section.
 
 \code
@@ -81,5 +81,5 @@
 The last section describes the <em>labeled (distinguished) edges</em>
 (i.e. edges having a special label on them). It starts with \c \@edges
-and then each line contains the name of the edge and the ID.
+and then each line contains the name of the edge and the label.
 
 \code
@@ -104,7 +104,5 @@
 \endcode
 
-<tt> \@end </tt>
-
-line.
+Finally, the file should be closed with \c \@end line.
 
 
@@ -133,12 +131,12 @@
 \ref lemon::GraphWriter "GraphWriter".
 You should give a name to the map and the map
-object as parameters. The NodeMap writing command with name "id" should write a 
-unique map because it will be regarded as an ID map.
+object as parameters. The NodeMap writing command with name "label" should write a 
+unique map because it will be regarded as a label map.
 
 \see IdMap, DescriptorMap  
 
 \code
-IdMap<ListGraph, Node> nodeIdMap;
-writer.writeNodeMap("id", nodeIdMap);
+IdMap<ListGraph, Node> nodeLabelMap;
+writer.writeNodeMap("label", nodeLabelMap);
 
 writer.writeNodeMap("x-coord", xCoordMap);
@@ -158,5 +156,5 @@
 
 writer.writeEdgeMap("weight", weightMap);
-writer.writeEdgeMap("label", labelMap);
+writer.writeEdgeMap("note", noteMap);
 \endcode
 
@@ -315,8 +313,8 @@
 special template parameter to the GraphReader class. By default, the
 template parameter is \c DefaultReaderTraits. A reader traits class 
-should provide an inner template class Reader for each type, and a 
+should provide a nested template class Reader for each type, and a 
 DefaultReader for skipping a value.
 
-The specialization of  writing is very similar to that of reading.
+The specialization of writing is very similar to that of reading.
 
 \section undir Undirected graphs
@@ -334,8 +332,8 @@
 \code
 @undiredgeset
-             id    capacity +flow -flow
-32   2       1     4.3      2.0	  0.0
-21   21      5     2.6      0.0   2.6
-21   12      8     3.4      0.0   0.0
+             label      capacity        +flow   -flow
+32   2       1          4.3             2.0     0.0
+21   21      5          2.6             0.0     2.6
+21   12      8          3.4             0.0     0.0
 \endcode
 
@@ -462,5 +460,5 @@
 and the \ref lemon::UndirGraphReader "UndirGraphReader" can be converted
 to \ref lemon::LemonReader "LemonReader"
-and it can resolve the ID's of the items, the previous
+and it can resolve the label's of the items, the previous
 result can be achived with the \ref lemon::UndirGraphReader "UndirGraphReader"
 class, too.
